From 2e72988ef8ee0b299001f5fe2719c649644b61aa Mon Sep 17 00:00:00 2001
From: Christian Byrne <cbyrne@comfy.org>
Date: Sat, 30 Aug 2025 15:33:30 -0700
Subject: [PATCH 08/77] [fix] Use defineConfig in playwright.i18n.config.ts for
 TypeScript compilation (#5270)

Update playwright.i18n.config.ts to use defineConfig() instead of PlaywrightTestConfig
interface to fix TypeScript compilation issues with 'declare' fields.

The defineConfig API provides proper Vite integration for TypeScript/Babel
compilation, fixing the error: 'TypeScript declare fields must first be
transformed by @babel/plugin-transform-typescript'

Fixes compilation error in i18n collection workflow.
---
 playwright.i18n.config.ts | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/playwright.i18n.config.ts b/playwright.i18n.config.ts
index d6411eab9..70c3a0c81 100644
--- a/playwright.i18n.config.ts
+++ b/playwright.i18n.config.ts
@@ -1,6 +1,6 @@
-import { PlaywrightTestConfig } from '@playwright/test'
+import { defineConfig } from '@playwright/test'
 
-const config: PlaywrightTestConfig = {
+export default defineConfig({
   testDir: './scripts',
   use: {
     baseURL: 'http://localhost:5173',
@@ -9,6 +9,4 @@ const config: PlaywrightTestConfig = {
   reporter: 'list',
   timeout: 60000,
   testMatch: /collect-i18n-.*\.ts/
-}
-
-export default config
+})

